Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDSTENTSEGMENTvalues

    java.lang.Object
      java.lang.Enum<CDSTENTSEGMENTvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDSTENTSEGMENTvalues

All Implemented Interfaces:
  Serializable, Comparable<CDSTENTSEGMENTvalues>

    public enum CDSTENTSEGMENTvalues

extends Enum<CDSTENTSEGMENTvalues>

Java class for CD-STENT-SEGMENTvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-STENT-SEGMENTvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="proxrca"/>
         <enumeration value="midrca"/>
         <enumeration value="distrca"/>
         <enumeration value="rightposteriordescending"/>
         <enumeration value="leftmain"/>
         <enumeration value="proxlad"/>
         <enumeration value="midlad"/>
         <enumeration value="distlad"/>
         <enumeration value="d1"/>
         <enumeration value="d2"/>
         <enumeration value="d3"/>
         <enumeration value="proxcx"/>
         <enumeration value="intermediatebissectrice"/>
         <enumeration value="m1"/>
         <enumeration value="m2"/>
         <enumeration value="distcx"/>
         <enumeration value="pl1"/>
         <enumeration value="pl2"/>
         <enumeration value="pl3"/>
         <enumeration value="leftposteriordescending"/>
         <enumeration value="rv"/>
         <enumeration value="rightpl2"/>
         <enumeration value="rightpl3"/>
         <enumeration value="pl4"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`D_1`
`D_2`
`D_3`
`DISTCX`
`DISTLAD`
`DISTRCA`
`INTERMEDIATEBISSECTRICE`
`LEFTMAIN`
`LEFTPOSTERIORDESCENDING`
`M_1`
`M_2`
`MIDLAD`
`MIDRCA`
`PL_1`
`PL_2`
`PL_3`
`PL_4`
`PROXCX`
`PROXLAD`
`PROXRCA`
`RIGHTPL_2`
`RIGHTPL_3`
`RIGHTPOSTERIORDESCENDING`
`RV`

Method Summary
`static CDSTENTSEGMENTvalues` | `fromValue(String v)`
`String` | `value()`
`static CDSTENTSEGMENTvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDSTENTSEGMENTvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROXRCA

    public static final CDSTENTSEGMENTvalues PROXRCA

### MIDRCA

    public static final CDSTENTSEGMENTvalues MIDRCA

### DISTRCA

    public static final CDSTENTSEGMENTvalues DISTRCA

### RIGHTPOSTERIORDESCENDING

    public static final CDSTENTSEGMENTvalues RIGHTPOSTERIORDESCENDING

### LEFTMAIN

    public static final CDSTENTSEGMENTvalues LEFTMAIN

### PROXLAD

    public static final CDSTENTSEGMENTvalues PROXLAD

### MIDLAD

    public static final CDSTENTSEGMENTvalues MIDLAD

### DISTLAD

    public static final CDSTENTSEGMENTvalues DISTLAD

### D_1

    public static final CDSTENTSEGMENTvalues D_1

### D_2

    public static final CDSTENTSEGMENTvalues D_2

### D_3

    public static final CDSTENTSEGMENTvalues D_3

### PROXCX

    public static final CDSTENTSEGMENTvalues PROXCX

### INTERMEDIATEBISSECTRICE

    public static final CDSTENTSEGMENTvalues INTERMEDIATEBISSECTRICE

### M_1

    public static final CDSTENTSEGMENTvalues M_1

### M_2

    public static final CDSTENTSEGMENTvalues M_2

### DISTCX

    public static final CDSTENTSEGMENTvalues DISTCX

### PL_1

    public static final CDSTENTSEGMENTvalues PL_1

### PL_2

    public static final CDSTENTSEGMENTvalues PL_2

### PL_3

    public static final CDSTENTSEGMENTvalues PL_3

### LEFTPOSTERIORDESCENDING

    public static final CDSTENTSEGMENTvalues LEFTPOSTERIORDESCENDING

### RV

    public static final CDSTENTSEGMENTvalues RV

### RIGHTPL_2

    public static final CDSTENTSEGMENTvalues RIGHTPL_2

### RIGHTPL_3

    public static final CDSTENTSEGMENTvalues RIGHTPL_3

### PL_4

    public static final CDSTENTSEGMENTvalues PL_4

Method Detail

### values

    public static CDSTENTSEGMENTvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDSTENTSEGMENTvalues c : CDSTENTSEGMENTvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDSTENTSEGMENTvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDSTENTSEGMENTvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.